### Method

# Gimp FileProcedure get_meta

since: 3.2

#### Declaration [src]

    gboolean
    gimp_file_procedure_get_meta (
      GimpFileProcedure* procedure,
      const gchar** meta_extensions
    )

#### Description [src]

Returns whether `procedure` is a meta file procedure as set with `gimp_file_procedure_set_meta()`. If `meta_extensions` is not `NULL`, the generic extensions will be returned too.

Available since: 3.2

#### Parameters

`meta_extensions`

  Type: `const gchar**`

  The generic meta extensions, optionally.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` is `procedure` is a meta file procedure.